#ifndef MCS_G346_H_
#define MCS_G346_H_

#include "ads_data.h"

#include "icd_g346.h"


class McsG346ApplicationQ: public QObject
{
  Q_OBJECT

public:
  McsG346ApplicationQ();

public slots:
  void modeChange(int mode);

  void tabChanged(int);
  void toolChanged(int);

  //void setTabByMode();
  //void setTabByMode(int);

  void setAutoPanels(QWidget* dataPanel, int dockPanel);

  void sendRawParameter(int id, unsigned int value);
  void sendWaveformCommand(int value);

  void elevationPlus();
  void elevationMinus();
  void elevationZero();
};

#endif /*MCS_G346_H_*/
